@import 'settings';
@import 'mixins';

@import '~react-select/dist/react-select.css';

.SmartMultiSelectContainer {
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 50px);
    min-width: 367px;
    max-width: 367px;
    margin-right: 5px;

    $select-height: 32px;

    .Select {
        .Select-control {
            height: $select-height;
            border-radius: 3px;
            border-color: var(--border-color);
            color: var(--color-black);
        }

        .Select-placeholder {
            color: var(--color-gray-600);
        }

        &.is-focused {
            .Select-control {
                border-color: #999;
                box-shadow: none;

            }
        }

        .Select-input,
        .Select-placeholder {
            height: $select-height;
            line-height: $select-height;
        }

        &--multi .Select-value {
            color: var(--link-hover-color);
        }

        &--multi .Select-value-label {
            max-width: 250px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        &--multi .Select-value-icon {
            font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
            font-size: 12.6px;
        }

        &--multi .Select-value-icon:hover,
        &--multi .Select-value-icon:focus {
            color: var(--link-fg);
        }
    }

    .Select-clear-zone {
        background: var(--color-white);
    }

    .Select-arrow {
        transform: scaleX(0.65) scaleY(1.25);
        border-color: var(--color-black) transparent transparent;
    }

    .Select-menu-outer {
        z-index: 20;
        border-color: #aaa;
    }

    .Select.is-focused .Select-menu-outer {
        box-shadow: none;
    }

    .Select-option {
        color: var(--color-black);

        &.is-selected {
            color: var(--color-black);
            background-color: var(--color-gray-200);
        }

        &.is-focused {
            color: var(--color-black);
            background-color: var(--color-gray-100);
        }
    }
}
